This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 421031 - Shuangpin Schema does not match the one used in Microsoft Pinyin on WIndows
Shuangpin Schema does not match the one used in Microsoft Pinyin on WIndows
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: scim-pinyin (Show other bugs)
8
All Linux
medium Severity low
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-12 02:37 EST by Yu Fan
Modified: 2007-12-12 14:56 EST (History)
0 users

See Also:
Fixed In Version: 0.5.91-24.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-12 14:56:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yu Fan 2007-12-12 02:37:31 EST
Description of problem:
There is a mismatch in Shuangpin Schema of Microsoft Pinyin.
In Micosoft Pinyin,
key v is for ui or ue.
But in Scim-pinyin,
key v is for v or ui. 
This would cause inconvenient for user used to the Microsoft schema.

Version-Release number of selected component (if applicable):
All

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I made a patch for this:

diff -Naur scim-pinyin-0.5.91/src/scim_pinyin.cpp scim-pinyin/src/scim_pinyin.cpp
--- scim-pinyin-0.5.91/src/scim_pinyin.cpp	2007-12-11 10:42:07.000000000 +0800
+++ scim-pinyin/src/scim_pinyin.cpp	2007-12-12 13:23:28.000000000 +0800
@@ -370,7 +370,7 @@
     { SCIM_PINYIN_Ong, SCIM_PINYIN_Iong      },         // S
     { SCIM_PINYIN_Ue,  SCIM_PINYIN_ZeroFinal },         // T
     { SCIM_PINYIN_U,   SCIM_PINYIN_ZeroFinal },         // U
-    { SCIM_PINYIN_V,   SCIM_PINYIN_Ui        },         // V
+    { SCIM_PINYIN_Ui,  SCIM_PINYIN_Ue        },         // V
     { SCIM_PINYIN_Ia,  SCIM_PINYIN_Ua        },         // W
     { SCIM_PINYIN_Ie,  SCIM_PINYIN_ZeroFinal },         // X
     { SCIM_PINYIN_Uai, SCIM_PINYIN_V         },         // Y
Comment 1 Peng Huang 2007-12-12 05:53:34 EST
Fix in scim-pinyin-0.5.91-24.fc8 and rawhide. Thanks.
Comment 2 Fedora Update System 2007-12-12 14:56:06 EST
scim-pinyin-0.5.91-24.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.